Bug 399928 - Problems with Filter by group when a ?-sign is present
Summary: Problems with Filter by group when a ?-sign is present
Status: RESOLVED FIXED
Alias: None
Product: tellico
Classification: Applications
Component: general (show other bugs)
Version: 3.1.2
Platform: Ubuntu Linux
: NOR minor
Target Milestone: ---
Assignee: Robby Stephenson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-17 15:03 UTC by Manticore
Modified: 2018-10-25 00:24 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 3.1.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Manticore 2018-10-17 15:03:19 UTC
SUMMARY
In the Group tab (left bar of the Tellico), I can click on one of its values to be selected.  Then, when I open the contextual menu with right button of the mouse, I get a 'Filter by group' option.  If I select that option, then I can see only those entries in the Column View, but if the value of the field includes a question mark, no way to see anything in the column view.
The question mark that I refer is the ending question mark (?).  In Spanish, there is too an opening and required question mark (¿), but this sign does not affect the behavior of the filter.

STEPS TO REPRODUCE
1. Select a field that allow grouping.  The values of that field are shown in the left bar of Tellico.
2. Select one of those values.
3. If the value contains a question mark (?), then the option of Filter by Group produces no result in the column view.  

OBSERVED RESULT
The column view goes blank.

EXPECTED RESULT
In the column view, see all the Tellico entries filtered by that value.

SOFTWARE VERSIONS
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 5.44.0
Qt Version: 5.9.5

ADDITIONAL INFORMATION
Comment 1 Manticore 2018-10-24 10:59:54 UTC
Not only the ? question mark, but also (, [, * and other characters.  Perhaps all characters used in regular expressions.
This is a problem, I think.
Comment 2 Robby Stephenson 2018-10-25 00:21:53 UTC
Git commit 815fa40703e23214080cbd2c0f1c2e46a65b6ac7 by Robby Stephenson.
Committed on 25/10/2018 at 00:20.
Pushed by rstephenson into branch 'master'.

Escape the group name when filtering grom Group View.

The filter created by the Group View uses a regular expression to
"Filter by Group". Be sure to escape the group name to allow the use of
special characters in the regular expression.
FIXED-IN: 3.1.4

M  +4    -0    ChangeLog
M  +5    -1    src/groupview.cpp

https://commits.kde.org/tellico/815fa40703e23214080cbd2c0f1c2e46a65b6ac7
Comment 3 Robby Stephenson 2018-10-25 00:24:49 UTC
Git commit 2839b9b68f7703ca40d372894ad7a22678c17441 by Robby Stephenson.
Committed on 25/10/2018 at 00:23.
Pushed by rstephenson into branch '3.1'.

Escape the group name when filtering from Group View.

The filter created by the Group View uses a regular expression to
"Filter by Group". Be sure to escape the group name to allow the use of
special characters in the regular expression.
FIXED-IN: 3.1.4

M  +4    -0    ChangeLog
M  +5    -1    src/groupview.cpp

https://commits.kde.org/tellico/2839b9b68f7703ca40d372894ad7a22678c17441